Fetch questions for survey
GET /api/sync/v1/surveys/questions
Operation id: getQuestionsWithAttachmentsBySurveyId
Description
This API will get questions for a survey attached to the to-do Id. The surveyId and taskId are mandatory fields as query param.
Tags: Survey APIs
Parameters
Query parameters
| Name | Type | Required | Description |
|---|---|---|---|
questionFilterType | array | No | Comma-separated display types to filter by (e.g. CHECKBOX,RADIO,DROPDOWN). Default: CHECKBOX |
surveyId | integer (int32) | Yes | |
taskId | integer (int32) | Yes |
Security
- Bearer (http / bearer)
- enter the client service token value.
Responses
200 — Questions fetched successfully
Content type: */*
400 — Bad Request
404 — To-Do not found
500 — Internal Server Error
Response models
200 — Questions fetched successfully
Content type: */*
Schema
| Property | Type | Required | Description |
|---|---|---|---|
message | string | No | |
status | string | No | |
statusCode | integer (int32) | No | |
debugErrorMessage | string | No | |
messageCode | string | No | message codes |
messageParams | array | No | |
data | object | No |
{
"type": "object",
"properties": {
"message": {
"type": "string"
},
"status": {
"type": "string",
"enum": [
"SUCCESS",
"FAIL",
"BAD_REQUEST",
"NO_CONTENT",
"UNAUTHORIZED",
"FORBIDDEN",
"NOT_FOUND",
"INTERNAL_SERVER_ERROR",
"UNSUPPORTED_MEDIA_TYPE"
]
},
"statusCode": {
"type": "integer",
"format": "int32"
},
"debugErrorMessage": {
"type": "string"
},
"messageCode": {
"type": "string",
"description": "message codes",
"items": {
"type": "string",
"example": [
"ERROR12-To-Do has expired.",
"ERROR13-To-Do has been recalled.",
"ERROR14-Complete all checklist items.",
"ERROR15-Error updating status.",
"ERROR16-Error fetching assignment.",
"ERROR55-Error updating status.",
"ERROR59-To-do is already completed by {name}",
"ERROR75-To-Do has been Recalled.",
"ERROR17-To-Do can not be reassigned as it has been completed.",
"ERROR18-This To-Do is confidential and can not be reassigned.",
"ERROR19-Error while reassigning.",
"ERROR36-Current assignee's site id doesn't match",
"ERROR20-This To-Do can not be recalled as it has not been launched.",
"ERROR21-Error while recalling To-Do.",
"ERROR35-Please select a reason type while recalling a task",
"ERROR58-To-do can not be recalled."
]
}
},
"messageParams": {
"type": "array",
"items": {
"type": "string"
}
},
"data": {
"type": "object"
}
}
}